Subject: Re: [PATCH 0/4] meson: parse TAP output generated by our tests

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 23 May 2025 12:03:24 +0200

On Wed, May 21, 2025 at 02:26:23PM -0700, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Patrick Steinhardt <[email-masked]> writes:
> >
> >>> This new feature is only enabled with Meson 1.8 and newer, which
> >>> contains a bugfix that we have upstreamed [1] to make the TAP parser
> >>> work in `meson test --interactive` mode.
> >>> 
> >>> Despite the changes to Meson itself, this patch series also contains a
> >>> couple of fixes for our test suite that caused us to not generate proper
> >>> TAP output.
> >>> 
> >>> Thanks!
> >>> 
> >>> Patrick
> >>> 
> >>> [1]: https://github.com/mesonbuild/meson/pull/13980
> >>
> >> Junio, I noticed that this series isn't yet part of the "What's cooking"
> >> report. Is that intentional or an oversight?
> >
> > Neither.  I saw a lively discussion on the patches and was expecting
> > to see a finalized updated version, which I would apply.
> > 
> > The "Please hold off" message in the middle did not help X-<.

There wasn't any discussion that led to something actionable as far as
I'm concerned, which is why there wasn't a newer revision yet.

> So the four patches are now sitting somewhere in 'seen'.  Is it the
> one that causes this failure, I have to wonder?
> 
> 
> https://github.com/git/git/actions/runs/15169816296/job/42656836511#step:4:2113
> 
> It is curious that only osx-meson is affected.

Ah, interesting. Seems like macOS has since updated to a newer version
of Meson, so it now uses the TAP parser. And there are some tests that
only execute on macOS and that cause us to emit output to stdout/stderr,
which will thus break the TAP format.

I'll have a look and will send a newer version soonish.

Patrick